The BOOST_PP_LPAREN macro expands to a left parenthesis.

#### Usage

BOOST_PP_LPAREN()

#### Remarks

The preprocessor interprets parentheses as delimiters in macro invocations. Because of this, parentheses require special handling.

#### See Also

- BOOST_PP_RPAREN

#### Requirements

Header: <boost/preprocessor/punctuation/paren.hpp>

#### Sample Code

    #include <boost/preprocessor/punctuation/paren.hpp>

    #define X(x) x
    #define MACRO(p, x) X p x )

    MACRO(BOOST_PP_LPAREN(), abc) // expands to abc

    #define Y(x)

    MACRO((10) Y BOOST_PP_LPAREN(), result) // expands to 10